let m;
let n;

outer: do {
    do {
        m = prompt('Пожалуйста, введите ПЕРВОЕ ЦЕЛОЕ НАТУРАЛЬНОЕ число диапазона');
        if (m === null) {
            break outer;
        }
        else if (!Number.isFinite(+m)) { alert('Вы ввели не число! Введите ПЕРВОЕ число диапазона корректно!'); }
        else if (Number.isFinite(+m) && !Number.isInteger(+m) && (+m) < 1) { alert('Вы ввели НЕ ЦЕЛОЕ и НЕ НАТУРАЛЬНОЕ (!ОТРИЦАТЕЛЬНОЕ!) число! Введите ПЕРВОЕ число диапазона корректно!'); }
        else if (Number.isFinite(+m) && !Number.isInteger(+m) && !(+m) < 1) { alert('Вы ввели НЕ ЦЕЛОЕ и НЕ НАТУРАЛЬНОЕ ЧИСЛО! Введите ПЕРВОЕ число диапазона корректно!'); }
    }
    while (!Number.isFinite(+m) || !Number.isInteger(+m) || (+m) < 1)
    m = +m;
    do {
        n = prompt('Пожалуйста, введите ВТОРОЕ ЦЕЛОЕ число диапазона');
        if (n === null) {
            break outer;
        }
        else if (!Number.isFinite(+n)) { alert('Вы ввели не число! Введите ВТОРОЕ число диапазона корректно!'); }
        else if (Number.isFinite(+n) && !Number.isInteger(+n) && (+n) < 1) { alert('Вы ввели НЕ ЦЕЛОЕ и НЕ НАТУРАЛЬНОЕ (!ОТРИЦАТЕЛЬНОЕ!) число! Введите ПЕРВОЕ число диапазона корректно!'); }
        else if (Number.isFinite(+n) && !Number.isInteger(+n) && !(+n) < 1) { alert('Вы ввели НЕ ЦЕЛОЕ и НЕ НАТУРАЛЬНОЕ! Введите ПЕРВОЕ число диапазона корректно!'); }
    }
    while (!Number.isFinite(+n) || !Number.isInteger(+n) || +n < 1)
    n = +n;
    if (n < m) alert('Диапазон введен некорректно. Первое число диапазона должно быть < или = второму числу диапазона!')
}
while (n < m || m < 0 || n < 0)
console.log(`Заданный диапазон от ${m} до ${n}`);
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (m === undefined || n === undefined || m === null || n === null) alert('Дальнейшие вычисления невозможны. Задайте диапазон заново.');
// else if (m === 0 && n === 0) alert('И что вы хотите найти между 0 и 0?');
else console.log('Выводим все числа, кратные 5 (в заданном диапазоне)');
let a = m;
if (n <= 4) console.log('Sorry.No Numbers');
else {
    for (i = 5; i <= n; i = i + 5) {
        console.log(i);
    }
}
// ----------------------------------------------------
console.log('Выводим все ПРОСТЫЕ ЧИСЛА (в заданном диапазоне)');
for (a; a <= n; a++) {
    if (a === 2 || a === 3 || a === 5 || a === 7) console.log(`${a} является ПРОСТЫМ числом`);
    else if (a % 2 === 0 || a === 1) {
        // console.log('составное');
    }
    else {
        let counter = 0;
        for (let i = 3; i <= 7; i = i + 2) {
            if (a % i === 0) {
                break;
            }
            else {
                counter += 1;
            }
            if (counter === 3) { console.log(`${a} является ПРОСТЫМ числом`); }
        }
    }
}
// Артем, я переделала задачу на кратность 5 в соответствии с твоими пожеланиями.
// По поводу поиска натуральных чисел: я перечитала задачу внизу статьи.
// Там предложен вариант запуска внутреннего цикла, постоянно подбирающего делитель из чисел, которые идут перед проверяемым.
// Но если мы задаем диапазон не от 1 до 10, а от 150 до 250 (например), то простые числа внутри такого диапазона браузер ищет очень туго)))
// Чтоб признать 151 простым числом-нужно проверить числа 2-150... А если брать диапазон еще больше, то еще геморойнее.
// Потому я на входе исключила 1-2-3-5-7, все четные, а нечетные проверила на 3 делителя.

    // console.log('Артём, спасибо за проверку! ;)')


// --------------если диапазон вводим самостоятельно---------------
// // let firstCounter = 0;
// // let loopCounter = n - m;
// // console.log(loopCounter);
// for (; m <= n; m++) { 

//     if (m % 5 === 0) {console.log(m);}
//     // else {
//     //     firstCounter = firstCounter + 1;
//     // }
// }
// if (firstCounter === (loopCounter + 1)) console.log('В заданном диапазоне НЕТ чисел, кратных 5');
// --------------если диапазон вводим самостоятельно---------------

// --------------------------------------------------